/**
 * @file 页面信息展示组件
 * @author dingjunwei(dingjunwei@baidu.com)
 */
/* globals Page, swan, getApp */
Component({ // eslint-disable-line
    properties: {
        // 定义了name属性，可以在使用组件时，由外部传入。此变量可以直接在组件模板中使用
        active: {
            type: Number,
            value: 1
        },
        color: {
            type: String,
            value: '#ccc'
        },
        activeColor: {
            type: String,
            value: '#2B99FF'
        },
        steps: {
            type: Array,
            value: []
        },
        lineColor: {
            type: String,
            value: '#ccc'
        },
        lineActiveColor: {
            type: String,
            value: '#ccc'
        },
        lineStyle: {
            type: String,
            value: 'dashed'
        },
        lineActiveStyle: {
            type: String,
            value: 'solid'
        },
        lineWidth: {
            type: Number,
            value: 2
        },
        titleColor: {
            type: String,
            value: '#ccc'
        },
        titleActiveColor: {
            type: String,
            value: '#000'
        },
        space: {
            type: Number,
            value: 162
        }
    },
    data: {},
    ready() {},
    methods: {}
});