##
### 解释：图标
### 属性说明：
|属性名 | 类型 | 必填 | 默认值 |说明 |
|---|---|---|---|---|
|type |String |是|-|图标类型|
|size |Number |否|36.2rpx|单位rpx|
|color |String |否|#999|icon颜色，同css的color|
|stroke-width |Number |否|1|描边宽度，功能同css的font-weight|

|图标风格 | type有效值 |
|---|---|
|基础类型 |home、head、radio、search、download、eyes、info、star-half、hide、circle、right、close-x、handle、empty、arrow-left-top、advisory、advisory-other、add、collection、refresh、position、advice、help、mail、set、collection、disable|
|描边风格 |close-o、warning-o、time-o、correct-o、star-o、arrow-up-o、arrow-right-o、arrow-down-o、arrow-left-o、small-arrow-down-o|
|实心风格 |close、warning、time、correct、star、arrow-up、arrow-right、arrow-down、arrow-left|
|空白页面使用 |card、no-info、money、network、no-search|
### 示例
json:
```
    {
        "navigationBarTitleText": "图标"
    }
```

swan:
```
<view style="display:flex">
    <ga-icon type="home"></ga-icon>
    <ga-icon type="head"></ga-icon>
    <ga-icon type="close"></ga-icon>
    <ga-icon type="close-o"></ga-icon>
    <ga-icon type="radio"></ga-icon>
    <ga-icon type="warning"></ga-icon>
    <ga-icon type="warning-o"></ga-icon>
    <ga-icon type="time"></ga-icon>
    <ga-icon type="time-o"></ga-icon>
    <ga-icon type="search"></ga-icon>
    <ga-icon type="correct"></ga-icon>
    <ga-icon type="correct-o"></ga-icon>
    <ga-icon type="download"></ga-icon>
    <ga-icon type="eyes"></ga-icon>
</view>
<view style="display:flex">
    <ga-icon type="arrow-up"></ga-icon>
    <ga-icon type="arrow-down"></ga-icon>
    <ga-icon type="arrow-right"></ga-icon>
    <ga-icon type="arrow-left"></ga-icon>
    <ga-icon type="arrow-up-o"></ga-icon>
    <ga-icon type="arrow-down-o"></ga-icon>
    <ga-icon type="arrow-right-o"></ga-icon>
    <ga-icon type="arrow-left-o"></ga-icon>
    <ga-icon type="info"></ga-icon>
    <ga-icon type="star-half"></ga-icon>
    <ga-icon type="star"></ga-icon>
    <ga-icon type="star-o"></ga-icon>
    <ga-icon type="hide"></ga-icon>
    <ga-icon type="circle"></ga-icon>
</view>
<view style="display:flex">
    <ga-icon type="handle"></ga-icon>
    <ga-icon type="right"></ga-icon>
    <ga-icon type="close-x"></ga-icon>
    <ga-icon type="empty"></ga-icon>
    <ga-icon type="small-arrow-down-o"></ga-icon>
    <ga-icon type="arrow-left-top"></ga-icon>
    <ga-icon type="advisory"></ga-icon>
    <ga-icon type="advisory-other"></ga-icon>
    <ga-icon type="add"></ga-icon>
    <ga-icon type="collection"></ga-icon>
    <ga-icon type="refresh"></ga-icon>
    <ga-icon type="position"></ga-icon>
    <ga-icon type="advice"></ga-icon>
    <ga-icon type="help"></ga-icon>
    <ga-icon type="mail"></ga-icon>
    <ga-icon type="set"></ga-icon>
</view>
<view style="display:flex">
    <ga-icon type="card"></ga-icon>
    <ga-icon type="no-info"></ga-icon>
    <ga-icon type="money"></ga-icon>
    <ga-icon type="network"></ga-icon>
    <ga-icon type="no-search"></ga-icon>
    <ga-icon type="collection"></ga-icon>
    <ga-icon type="disable"></ga-icon>
</view>
```