#steps组件说明
##组件名称

Steps

## 示例图

[此处应该是图片]


#### Props：
|属性名 | 类型 | 必填 | 默认值 |说明 |
|---|---|---|---|
|steps|Number|是|1|当前步骤|
|color|String|否|#ccc|步骤颜色|
|active-color|String|否|#2B99FF|已完成步骤颜色|
|line-color|String|否|#ccc|线条颜色|
|line-active-color|String|否|#ccc|已完成线条颜色|
|steps|Array|是|-|steps数据|
|steps.text|String|是|-|标题|
|steps.icon|String|否|-|自定义icon|
|steps.activeIcon|String|否|-|已完成状态自定义icon|
|steps.iconColor|String|否|-|自定义icon颜色|
|steps.iconActiveColor|String|是|-|已完成状态自定义icon颜色|
|line-style|String|否|dashed|线条样式|
|line-active-style|String|否|solid|已完成线条样式|
|line-width|String|否|2rpx|线条宽度|
|title-color|String|否|#ccc|标题颜色|
|title-active-color|String|否|#000|已完成标题颜色|
|space|Number|否|均分|item宽度|

## 使用示例
swan:
  <view>
    <steps 
      active="{{4}}" 
      line-width="{{2}}"  
      title-activeColor="#2B99FF" 
      steps="{{steps}}">
    </steps>
  </view>
  
js:
```javascript { .theme-peacock }
Page({
  data: {
    steps: [
      {
        text: '步骤一',
        icon: 'home',
      },
      {
        text: '步骤二',
        icon: 'head',
        activeIcon: 'head',
      },
      {
        text: '步骤三'
      }
    ]
  }
})
```